Subject: Re: [PATCH] gnu: poetry: Update to 1.1.4.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 30 Nov 2020 11:08:54 +0100

Hi Sébastien,

Excerpts from Sébastien Lerique's message of November 30, 2020 10:45 am:
> Hi Tanguy,
> 
>> FYI, the upgrade to 1.1.4 is also discussed here:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44077
> 
> Aha, great news! I've also been working on this last week, so it 
> must overlap. I read the thread -- can you point me to your latest 
> complete patch and what guix commit it applies to, so I can see if 
> I have anything different?
> 
> So far I had to update:
> - python-keyring to 21.5.0,
> - python-setuptools to 50.3.2,
> - python-virtualenv to 20.2.1,
> - python-distlib to 0.3.1,
> - python-tomlkit to 0.7.0,
> - and use requests-toolbelt-0.9.1 in poetry's package definition
> 
> And I was now missing poetry-core, which I see you have done. This 
> is turning into a large patchset, and on my side it's still with 
> some tests disabled (though I'm still planning to activate them).

The main problem is `python-distlib`. So based on Marius' comment, I
created a `python-distlib/next`.

This is part of v5 here: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44077

>> It seems that there's also a problem with the latest version of 
>> keyring on Guix:
>> https://github.com/jaraco/keyring/issues/469
>> But I'm (slowly) working on it!
> 
> Yes, I found that simply adding python-setuptools (aside from 
> python-setuptools-scm) to the native-inputs made the build-system 
> recognize the version.

That's great!! You could add a comment with your solution to the issue,
for the sake of documenting it.

> Once I have your latest patch I should probably be able to 
> converge on what you have done. Here is my current patchset for 
> reference: http://0x0.st/i7b_.diff , I'm working on 
> 4a914de930a8317cab5bc11bdb608e3a3da3d1ad. I don't know whether to 
> send parts of this as separate patches or not.

Sounds like a plan! :-)

Can I suggest that you wait for #44077 to be merged and then submit your
improvements?!

Thanks,

-- 
Tanguy